Loading...
Searching...
No Matches
RDKit::Canon::bondholder Struct Reference

`#include <new_canon.h>`

## Public Member Functions

| bondholder ()
| bondholder (Bond::BondType bt, Bond::BondStereo bs, unsigned int ni, unsigned int nsc, unsigned int bidx)
| bondholder (Bond::BondType bt, unsigned int bs, unsigned int ni, unsigned int nsc, unsigned int bidx)
int | compareStereo (const bondholder &o) const
bool | operator< (const bondholder &o) const

## Static Public Member Functions

static bool | greater (const bondholder &lhs, const bondholder &rhs)
static int | compare (const bondholder &x, const bondholder &y, unsigned int div=1)

## Public Attributes

Bond::BondType | bondType {Bond::BondType::UNSPECIFIED}
unsigned int | bondStereo
unsigned int | nbrSymClass {0}
unsigned int | nbrIdx {0}
Bond::BondStereo | stype {Bond::BondStereo::STEREONONE}
const canon_atom * | controllingAtoms [4] {nullptr, nullptr, nullptr, nullptr}
const std::string * | p_symbol
unsigned int | bondIdx {0}

## Detailed Description

Definition at line 33 of file new_canon.h.

## Constructor & Destructor Documentation

## bondholder() [1/3]

RDKit::Canon::bondholder::bondholder | ( |  | ) |

inline

Definition at line 45 of file new_canon.h.

## bondholder() [2/3]

RDKit::Canon::bondholder::bondholder | ( | Bond::BondType | bt,
|  | Bond::BondStereo | bs,
|  | unsigned int | ni,
|  | unsigned int | nsc,
|  | unsigned int | bidx
| ) |  |

inline

Definition at line 46 of file new_canon.h.

## bondholder() [3/3]

RDKit::Canon::bondholder::bondholder | ( | Bond::BondType | bt,
|  | unsigned int | bs,
|  | unsigned int | ni,
|  | unsigned int | nsc,
|  | unsigned int | bidx
| ) |  |

inline

Definition at line 53 of file new_canon.h.

## Member Function Documentation

## compare()

static int RDKit::Canon::bondholder::compare | ( | const bondholder & | x,
|  | const bondholder & | y,
|  | unsigned int | div = `1`
| ) |  |

inline static

Definition at line 68 of file new_canon.h.

References bondStereo, bondType, compareStereo(), nbrSymClass, and p_symbol.

## compareStereo()

int RDKit::Canon::bondholder::compareStereo | ( | const bondholder & | o | ) | const

Referenced by compare().

## greater()

static bool RDKit::Canon::bondholder::greater | ( | const bondholder & | lhs,
|  | const bondholder & | rhs
| ) |  |

inline static

Definition at line 64 of file new_canon.h.

## operator<()

bool RDKit::Canon::bondholder::operator< | ( | const bondholder & | o | ) | const

inline

Definition at line 63 of file new_canon.h.

## Member Data Documentation

## bondIdx

unsigned int RDKit::Canon::bondholder::bondIdx {0}

Definition at line 43 of file new_canon.h.

## bondStereo

unsigned int RDKit::Canon::bondholder::bondStereo

Initial value:
{
static_cast<unsigned int>(Bond::BondStereo::STEREONONE)}
RDKit::Bond::STEREONONE
@ STEREONONE
Definition Bond.h:96

Definition at line 35 of file new_canon.h.

Referenced by compare().

## bondType

Bond::BondType RDKit::Canon::bondholder::bondType {Bond::BondType::UNSPECIFIED}

Definition at line 34 of file new_canon.h.

Referenced by compare().

## controllingAtoms

const canon_atom* RDKit::Canon::bondholder::controllingAtoms[4] {nullptr, nullptr, nullptr, nullptr}

Definition at line 40 of file new_canon.h.

## nbrIdx

unsigned int RDKit::Canon::bondholder::nbrIdx {0}

Definition at line 38 of file new_canon.h.

## nbrSymClass

unsigned int RDKit::Canon::bondholder::nbrSymClass {0}

Definition at line 37 of file new_canon.h.

Referenced by compare().

## p_symbol

const std::string* RDKit::Canon::bondholder::p_symbol

Initial value:
{
nullptr}

Definition at line 41 of file new_canon.h.

Referenced by compare().

## stype

Bond::BondStereo RDKit::Canon::bondholder::stype {Bond::BondStereo::STEREONONE}

Definition at line 39 of file new_canon.h.

The documentation for this struct was generated from the following file:

- new_canon.h